curl --request POST \
--url https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references \
--header 'Content-Type: application/json' \
--data '
{
"objectUid": "<string>"
}
'import requests
url = "https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references"
payload = { "objectUid": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({objectUid: '<string>'})
};
fetch('https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'objectUid' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references"
payload := strings.NewReader("{\n \"objectUid\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references")
.header("Content-Type", "application/json")
.body("{\n \"objectUid\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"objectUid\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"groupId": "<string>",
"objectType": "PLATFORM_STYLE_GUIDE",
"objectUid": "<string>",
"createdAt": "<string>",
"referenceType": "SYSTEM"
}{
"code": "NotBlank/NotFound/Error/...",
"message": "Organization UID cannot be null",
"args": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"args": {}
}
]
}{
"code": "NotBlank/NotFound/Error/...",
"message": "Organization UID cannot be null",
"args": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"args": {}
}
]
}{
"code": "NotBlank/NotFound/Error/...",
"message": "Organization UID cannot be null",
"args": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"args": {}
}
]
}{
"code": "NotBlank/NotFound/Error/...",
"message": "Organization UID cannot be null",
"args": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"args": {}
}
]
}{
"code": "NotBlank/NotFound/Error/...",
"message": "Organization UID cannot be null",
"args": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"args": {}
}
]
}Link an object to the content group
curl --request POST \
--url https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references \
--header 'Content-Type: application/json' \
--data '
{
"objectUid": "<string>"
}
'import requests
url = "https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references"
payload = { "objectUid": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({objectUid: '<string>'})
};
fetch('https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'objectUid' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references"
payload := strings.NewReader("{\n \"objectUid\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references")
.header("Content-Type", "application/json")
.body("{\n \"objectUid\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}/references")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"objectUid\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"groupId": "<string>",
"objectType": "PLATFORM_STYLE_GUIDE",
"objectUid": "<string>",
"createdAt": "<string>",
"referenceType": "SYSTEM"
}{
"code": "NotBlank/NotFound/Error/...",
"message": "Organization UID cannot be null",
"args": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"args": {}
}
]
}{
"code": "NotBlank/NotFound/Error/...",
"message": "Organization UID cannot be null",
"args": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"args": {}
}
]
}{
"code": "NotBlank/NotFound/Error/...",
"message": "Organization UID cannot be null",
"args": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"args": {}
}
]
}{
"code": "NotBlank/NotFound/Error/...",
"message": "Organization UID cannot be null",
"args": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"args": {}
}
]
}{
"code": "NotBlank/NotFound/Error/...",
"message": "Organization UID cannot be null",
"args": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"args": {}
}
]
}Path Parameters
Body
Type of platform object being linked.
PLATFORM_STYLE_GUIDE, TMS_PROJECT and TMS_PROJECT_TEMPLATE cannot be linked to the
organization's SYSTEM content group — the request is rejected with a 422 error, code
Conflict. All other types may be linked to the SYSTEM content group.
TMS_PROJECT and TMS_PROJECT_TEMPLATE can only belong to one content group at a time.
Creating a direct reference to a second group is rejected with a 422 error, code
Conflict; unlink it from its current group first (DELETE /groups/{groupId}/references/{referenceId}
or DELETE /groups/{groupId}/references) before linking it to a new one. All other
types may be linked to any number of content groups at once.
PLATFORM_STYLE_GUIDE, PLATFORM_STYLE_RULE, TMS_PROJECT, PLATFORM_QA_CHECK, TMS_PROJECT_TEMPLATE, TMS_TRANSLATION_MEMORY, TMS_TERM_BASE, STRINGS_TRANSLATION_MEMORY, STRINGS_TERM_BASE Response
Reference created
Type of platform object being linked.
PLATFORM_STYLE_GUIDE, TMS_PROJECT and TMS_PROJECT_TEMPLATE cannot be linked to the
organization's SYSTEM content group — the request is rejected with a 422 error, code
Conflict. All other types may be linked to the SYSTEM content group.
TMS_PROJECT and TMS_PROJECT_TEMPLATE can only belong to one content group at a time.
Creating a direct reference to a second group is rejected with a 422 error, code
Conflict; unlink it from its current group first (DELETE /groups/{groupId}/references/{referenceId}
or DELETE /groups/{groupId}/references) before linking it to a new one. All other
types may be linked to any number of content groups at once.
PLATFORM_STYLE_GUIDE, PLATFORM_STYLE_RULE, TMS_PROJECT, PLATFORM_QA_CHECK, TMS_PROJECT_TEMPLATE, TMS_TRANSLATION_MEMORY, TMS_TERM_BASE, STRINGS_TRANSLATION_MEMORY, STRINGS_TERM_BASE Was this page helpful?